#!/bin/bash
#convert files in fastq format to fasta format and save with the same file name with .fasta as extension

start_time=`date +%s`

flinp=$1

flnm=`echo $flinp | cut -d "." -f1`

awk 'BEGIN {id=1; seq=2;} NR==id{ sub(/^@/,">",$0); print $0; id += 4;} NR==seq{ print $0; seq += 4}' $flinp | grep -i ">" | head -1 > $flnm"_mdfd.fasta"
awk 'BEGIN {id=1; seq=2;} NR==id{ sub(/^@/,">",$0); print $0; id += 4;} NR==seq{ print $0; seq += 4}' $flinp | grep -vi ">" >> $flnm"_mdfd.fasta"

end_time=`date +%s`
echo $end_time - $start_time | bc
