
import getopt, math, random, sys, time, types, wx, subprocess, os

from multiprocessing import Process, Queue, cpu_count, current_process, freeze_support
from Queue import Empty
from O_predict2 import OFrame
from K_predict2 import KFrame

#reference: https://stackoverflow.com/questions/5833716/how-to-capture-output-of-a-shell-script-running-in-a-separate-process-in-a-wxpy

class MyFrame(wx.Frame):
    def __init__(self, parent, id, title):
        wx.Frame.__init__(self, parent, id, title, wx.Point(700, 500), wx.Size(500, 400))

        self.panel = wx.Panel(self, wx.ID_ANY)

        self.menuBar = wx.MenuBar()
        self.SetMenuBar(self.menuBar)
                
        # Set some program flags
        self.keepgoing = True
        self.i = 0
        self.j = 0
        
        self.my_text = wx.TextCtrl(self, style=wx.TE_MULTILINE)
        btn = wx.Button(self, label='Submit a job')
        btn.Bind(wx.EVT_BUTTON, self.Popup2)

        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(self.my_text, 1, wx.ALL|wx.EXPAND)
        sizer.Add(btn, 0, wx.ALL|wx.CENTER, 5)

        self.SetSizer(sizer)
        self.my_text.WriteText("Wellcome to K-PAM stand alone version. Select the button below to submit a job and to upload input query files containg the query sequences.\n For more details aboot the submission read the Documenation part of K-PAM standalone version.")
        print("Wellcome to K-PAM stand alone version. Select the button file Input and then New to submit the query sequences.")

    def onOpen(self, event):
        wildcard = "TXT files (*.txt)|*.txt"
        dialog = wx.FileDialog(self, "Open Text Files", wildcard=wildcard,
                               style=wx.FD_OPEN | wx.FD_FILE_MUST_EXIST)

        if dialog.ShowModal() == wx.ID_CANCEL:
            return

        path = dialog.GetPath()

        if os.path.exists(path):
            with open(path) as fobj:
                for line in fobj:
                    self.my_text.WriteText(line)
        
    def Quit(self, e):
        self.Close()

    def Popup(self, event):
        pop = OFrame()
    
    def Popup2(self, event):
        pop2 = KFrame()

    def OnMove(self, e): 
      x, y = e.GetPosition() 
      print ("current window position x = ",x," y= ",y)
      

class MyApp(wx.App):
    def OnInit(self):
        self.frame = MyFrame(None, -1, 'K-PAM GUI')
        self.frame.Show(True)
        self.frame.Center()
        return True

if __name__ == '__main__':
    freeze_support()
    app = MyApp(0)
    app.MainLoop()
