#!/bin/bash
rm -rf sult_*
rm -rf serout_*
rm -rf wz*.txt
rm -rf wbap.txt
rm -rf wcaj.txt
rm -rf sertp_*
rm -rf resulvt*.txt

valb=$2
valc=$3
scnt=1

ncnmm=$1
cp $ncnmm newfas.fasta
#ncnm=`echo $ncnmm | cut -d "." -f1`
ncnm=`echo $ncnmm | cut -d "." -f1 | rev | cut -d"/" -f1  | rev`
kppath=`echo $ncnmm | cut -d "." -f1 | rev | cut -d"/" -f2-  | rev`
kpath=$kppath"/"

#formatdb -p F -i kantgn_gn.fsa
#above command is absolete for the latest version of blast+ and following command replaces that
makeblastdb -in oantgn_gn.fsa -dbtype nucl
blastn -query newfas.fasta -db oantgn_gn.fsa -outfmt 6 > output.out

if [ -s "output.out" ]; then
    while read -r line || [[ -n $line ]]; do
	a=`echo $line |awk '{print $1}'`
	b=`echo $line |awk '{print $2}'`
	c=`echo $line |awk '{print $3}'`
	d=`echo $line |awk '{print $4}'`
	e=`echo $line |awk '{print $5}'`
	f=`echo $line |awk '{print $6}'`
	g=`echo $line |awk '{print $7}'`
	h=`echo $line |awk '{print $8}'`
	i=`echo $line |awk '{print $9}'`
	j=`echo $line |awk '{print $10}'`
	k=`echo $line |awk '{print $11}'`
	l=`echo $line |awk '{print $12}'`
	m=`echo $line |awk '{printf "%3i", $3}'`
	if [ $m -ge 95 ] && [ $d -ge 200 ]; then
	    p=`echo $b | cut -d "|" -f3 | cut -d ":" -f1`
	    q=`echo $p | cut -d "_" -f2`
	    r=`echo $b | cut -d ":" -f2`
	    s=`echo $b | cut -d "|" -f2`
	    echo -e "$q   - $r   - $c   - $d   - $l - $s" >>resulvt.txt
	else
	    continue;
	fi
    done<output.out
    #gnlnm=`cat resulvt.txt | awk '{print $11}' | sort -k1 -u | wc -l`
    gnlnm=`cat ogene.dat | wc -l`
    
    for ((ek=1; ek<=$gnlnm; ek++))
    do
	gnlname=`cat ogene.dat | head -$ek | tail -1`
	grep -i $gnlname resulvt.txt > resulvt_$ek.txt
	grep -i $gnlname"|" output.out > output_$ek.out
	cat resulvt_$ek.txt |awk '{print $1}' | sort -k1 -u > sult_$ek.txt
	grep -i "100.00" resulvt_$ek.txt > result_hndrd.txt
	#cat result.txt |awk '{print $1}' | sort -k1 -u > result1.txt
	if [ -s "result_hndrd.txt" ];
	then
	    awk '{print $1}' result_hndrd.txt | sort -k1 -u> sult_$ek.txt
	fi
    done
    
    
    grep -i "wzm" resulvt_*.txt | awk '{print $1}' | cut -d ":" -f2 | sort -u > wzm.txt
    grep -i "wzt" resulvt_*.txt | awk '{print $1}' | cut -d ":" -f2 | sort -u > wzt.txt
    grep -i "wbby" resulvt_*.txt | awk '{print $1}' | cut -d ":" -f2 | sort -u > wbby.txt
    grep -i "wbbz" resulvt_*.txt | awk '{print $1}' | cut -d ":" -f2 | sort -u > wbbz.txt
        
    find w*.txt -size  0 -print0 |xargs -0 rm --
    
    chmod 777 sult*.txt
    find sult*.txt -size  0 -print0 |xargs -0 rm --
    #bash link2.sh | tail -n +3 | head -n -1 | awk '{print $3}' | tr '[:upper:]' '[:lower:]' > new_combine.txt
    bash link2.sh | grep -i "sult" | awk '{print $3}' | tr '[:upper:]' '[:lower:]' > new_combine.txt
    cp new_combine.txt new_combine_pre.txt
    sultn=`ls sult*.txt | wc -l`
    echo "# of sult files: $sultn"
    
    serchtn=`bash link2.sh | grep -i "sult" | awk '{print $3}' | tail -1 | tr '[:upper:]' '[:lower:]'`
    chtn=`cat new_combine.txt | wc -l`
    
    #.....
    
    cp resulvt.txt $ncnm_"resulvt.txt"
    prdctn=`cat new_combine.txt | tr "\n\r" ";"`
    wzmoag=`cat wzm.txt | tr "\n\r" ";"`
    wztoag=`cat wzt.txt | tr "\n\r" ";"`
    wbbyoag=`cat wbby.txt | tr "\n\r" ";"`
    wbbzoag=`cat wbbz.txt | tr "\n\r" ";"`
    echo -e $ncnm","$wzmoag","$wztoag","$wbbyoag","$wbbzoag","$prdctn >> Oaptive_var_seq_test.csv 
else
    echo -e $ncnm",NI,NI,NI,NI,NI,NI,NI,NI,NI" >> Oaptive_var_seq_test.csv
fi

cat new_combine.txt

mkdir $ncnm"_O_out"
chmod 777 $ncnm"_O_out"
mv *.out $ncnm"_O_out/"
mv *.txt $ncnm"_O_out/"

echo "Check $ncnm output folder for the results."
